org.apache.calcite.avatica.proto

## Class Requests

- java.lang.Object
- - org.apache.calcite.avatica.proto.Requests

    public final class Requests
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Requests.CatalogsRequest` Request for Meta#getCatalogs()
`static interface` `Requests.CatalogsRequestOrBuilder`
`static class` `Requests.CloseConnectionRequest` Request for Meta#closeConnection(Meta.ConnectionHandle)
`static interface` `Requests.CloseConnectionRequestOrBuilder`
`static class` `Requests.CloseStatementRequest` Request for Meta#closeStatement(Meta.StatementHandle)
`static interface` `Requests.CloseStatementRequestOrBuilder`
`static class` `Requests.ColumnsRequest` Request for Meta#getColumns(String, org.apache.calcite.avatica.Meta.Pat, org.apache.calcite.avatica.Meta.Pat, org.apache.calcite.avatica.Meta.Pat).
`static interface` `Requests.ColumnsRequestOrBuilder`
`static class` `Requests.CommitRequest` Request to invoke a commit on a Connection
`static interface` `Requests.CommitRequestOrBuilder`
`static class` `Requests.ConnectionSyncRequest` Protobuf type `ConnectionSyncRequest`
`static interface` `Requests.ConnectionSyncRequestOrBuilder`
`static class` `Requests.CreateStatementRequest` Request for Meta#createStatement(Meta.ConnectionHandle)
`static interface` `Requests.CreateStatementRequestOrBuilder`
`static class` `Requests.DatabasePropertyRequest` Request for Meta#getDatabaseProperties()
`static interface` `Requests.DatabasePropertyRequestOrBuilder`
`static class` `Requests.ExecuteBatchRequest` Protobuf type `ExecuteBatchRequest`
`static interface` `Requests.ExecuteBatchRequestOrBuilder`
`static class` `Requests.ExecuteRequest` Request for Meta#execute(Meta.ConnectionHandle, list, long)
`static interface` `Requests.ExecuteRequestOrBuilder`
`static class` `Requests.FetchRequest` Request for Meta#fetch(Meta.StatementHandle, List, long, int)
`static interface` `Requests.FetchRequestOrBuilder`
`static class` `Requests.OpenConnectionRequest` Request for Meta#openConnection(Meta.ConnectionHandle, Map<String, String>)
`static interface` `Requests.OpenConnectionRequestOrBuilder`
`static class` `Requests.PrepareAndExecuteBatchRequest` Request to prepare and execute a collection of sql statements.
`static interface` `Requests.PrepareAndExecuteBatchRequestOrBuilder`
`static class` `Requests.PrepareAndExecuteRequest` Request for Meta#prepareAndExecute(Meta.StatementHandle, String, long, Meta.PrepareCallback)
`static interface` `Requests.PrepareAndExecuteRequestOrBuilder`
`static class` `Requests.PrepareRequest` Request for Meta.prepare(Meta.ConnectionHandle, String, long)
`static interface` `Requests.PrepareRequestOrBuilder`
`static class` `Requests.RollbackRequest` Request to invoke rollback on a Connection
`static interface` `Requests.RollbackRequestOrBuilder`
`static class` `Requests.SchemasRequest` Request for Meta#getSchemas(String, org.apache.calcite.avatica.Meta.Pat)}
`static interface` `Requests.SchemasRequestOrBuilder`
`static class` `Requests.SyncResultsRequest` Protobuf type `SyncResultsRequest`
`static interface` `Requests.SyncResultsRequestOrBuilder`
`static class` `Requests.TablesRequest` Request for Request for Meta#getTables(String, org.apache.calcite.avatica.Meta.Pat, org.apache.calcite.avatica.Meta.Pat, java.util.List)
`static interface` `Requests.TablesRequestOrBuilder`
`static class` `Requests.TableTypesRequest` Request for Meta#getTableTypes()
`static interface` `Requests.TableTypesRequestOrBuilder`
`static class` `Requests.TypeInfoRequest` Request for Meta#getTypeInfo()
`static interface` `Requests.TypeInfoRequestOrBuilder`
`static class` `Requests.UpdateBatch` Each command is a list of TypedValues
`static interface` `Requests.UpdateBatchOrBuilder`

### Field Summary

Fields
`private static com.google.protobuf.Descriptors.FileDescriptor` `descriptor`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_CatalogsRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_CatalogsRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_CloseConnectionRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_CloseConnectionRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_CloseStatementRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_CloseStatementRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_ColumnsRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_ColumnsRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_CommitRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_CommitRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_ConnectionSyncRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_ConnectionSyncRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_CreateStatementRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_CreateStatementRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_DatabasePropertyRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_DatabasePropertyRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_ExecuteBatchRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_ExecuteBatchRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_ExecuteRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_ExecuteRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_FetchRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_FetchRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_OpenConnectionRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_OpenConnectionRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_OpenConnectionRequest_InfoEntry_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_OpenConnectionRequest_InfoEntry_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_PrepareAndExecuteBatchRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_PrepareAndExecuteBatchRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_PrepareAndExecuteRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_PrepareAndExecuteRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_PrepareRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_PrepareRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_RollbackRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_RollbackRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_SchemasRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_SchemasRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_SyncResultsRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_SyncResultsRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_TablesRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_TablesRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_TableTypesRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_TableTypesRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_TypeInfoRequest_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_TypeInfoRequest_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_UpdateBatch_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_UpdateBatch_fieldAccessorTable`

### Constructor Summary

Constructors
`private` `Requests()`

### Method Summary

Methods
`static com.google.protobuf.Descriptors.FileDescriptor` `getDescriptor()`
`static void` `registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`
`static void` `registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### internal_static_CatalogsRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_CatalogsRequest_descriptor

#### internal_static_CatalogsRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_CatalogsRequest_fieldAccessorTable

#### internal_static_DatabasePropertyRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_DatabasePropertyRequest_descriptor

#### internal_static_DatabasePropertyRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_DatabasePropertyRequest_fieldAccessorTable

#### internal_static_SchemasRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_SchemasRequest_descriptor

#### internal_static_SchemasRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_SchemasRequest_fieldAccessorTable

#### internal_static_TablesRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_TablesRequest_descriptor

#### internal_static_TablesRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_TablesRequest_fieldAccessorTable

#### internal_static_TableTypesRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_TableTypesRequest_descriptor

#### internal_static_TableTypesRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_TableTypesRequest_fieldAccessorTable

#### internal_static_ColumnsRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_ColumnsRequest_descriptor

#### internal_static_ColumnsRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_ColumnsRequest_fieldAccessorTable

#### internal_static_TypeInfoRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_TypeInfoRequest_descriptor

#### internal_static_TypeInfoRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_TypeInfoRequest_fieldAccessorTable

#### internal_static_PrepareAndExecuteRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_PrepareAndExecuteRequest_descriptor

#### internal_static_PrepareAndExecuteRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_PrepareAndExecuteRequest_fieldAccessorTable

#### internal_static_PrepareRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_PrepareRequest_descriptor

#### internal_static_PrepareRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_PrepareRequest_fieldAccessorTable

#### internal_static_FetchRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_FetchRequest_descriptor

#### internal_static_FetchRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_FetchRequest_fieldAccessorTable

#### internal_static_CreateStatementRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_CreateStatementRequest_descriptor

#### internal_static_CreateStatementRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_CreateStatementRequest_fieldAccessorTable

#### internal_static_CloseStatementRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_CloseStatementRequest_descriptor

#### internal_static_CloseStatementRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_CloseStatementRequest_fieldAccessorTable

#### internal_static_OpenConnectionRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_OpenConnectionRequest_descriptor

#### internal_static_OpenConnectionRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_OpenConnectionRequest_fieldAccessorTable

#### internal_static_OpenConnectionRequest_InfoEntry_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_OpenConnectionRequest_InfoEntry_descriptor

#### internal_static_OpenConnectionRequest_InfoEntry_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_OpenConnectionRequest_InfoEntry_fieldAccessorTable

#### internal_static_CloseConnectionRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_CloseConnectionRequest_descriptor

#### internal_static_CloseConnectionRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_CloseConnectionRequest_fieldAccessorTable

#### internal_static_ConnectionSyncRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_ConnectionSyncRequest_descriptor

#### internal_static_ConnectionSyncRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_ConnectionSyncRequest_fieldAccessorTable

#### internal_static_ExecuteRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_ExecuteRequest_descriptor

#### internal_static_ExecuteRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_ExecuteRequest_fieldAccessorTable

#### internal_static_SyncResultsRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_SyncResultsRequest_descriptor

#### internal_static_SyncResultsRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_SyncResultsRequest_fieldAccessorTable

#### internal_static_CommitRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_CommitRequest_descriptor

#### internal_static_CommitRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_CommitRequest_fieldAccessorTable

#### internal_static_RollbackRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_RollbackRequest_descriptor

#### internal_static_RollbackRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_RollbackRequest_fieldAccessorTable

#### internal_static_PrepareAndExecuteBatchRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_PrepareAndExecuteBatchRequest_descriptor

#### internal_static_PrepareAndExecuteBatchRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_PrepareAndExecuteBatchRequest_fieldAccessorTable

#### internal_static_UpdateBatch_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_UpdateBatch_descriptor

#### internal_static_UpdateBatch_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_UpdateBatch_fieldAccessorTable

#### internal_static_ExecuteBatchRequest_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_ExecuteBatchRequest_descriptor

#### internal_static_ExecuteBatchRequest_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_ExecuteBatchRequest_fieldAccessorTable

#### descriptor

    private static com.google.protobuf.Descriptors.FileDescriptor descriptor

### Constructor Detail

#### Requests

    private Requests()

### Method Detail

#### registerAllExtensions

    public static void registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)

#### registerAllExtensions

    public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

#### getDescriptor

    public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()